package cn.timer.api.dto.spmk;

import java.util.Date;
import java.util.List;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;

import cn.hutool.json.JSONObject;
import cn.timer.api.bean.spmk.SpmkApproveSummary;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;


@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SpmkApproveSummaryDto{

	/*
	 * 审批汇总
	 */
	@ApiModelProperty(value = "标题 ", example = "标题")
	private String title;

	@ApiModelProperty(value = "审批名称 ", example = "审批名称")
	private String approveName;

	@ApiModelProperty(value = "发起人名称 ", example = "发起人名称")
	private String initiator;
	
	@ApiModelProperty(value = "关联类型 1转正 2离职 3调薪 4调岗 5加班 6请假 7出差 8外出 9补卡", example = "5")
	private Integer assoType;
	
	@ApiModelProperty(value = "申请数据 ", example = "申请数据")
	private JSONObject requestData;

	@ApiModelProperty(value = "审批表单 ", example = "数组")
	private List<JSONObject> froms;

	@ApiModelProperty(value = "审批流程 ", example = "审批流程")
	private Router router;

	

}
